﻿using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using OutlookBarAndPrism.Module1.ViewModels;

namespace OutlookBarAndPrism.Module1
{
	public class Module1 : IModule
	{
		IUnityContainer container;
		IRegionManager regionManager;

		public Module1(IRegionManager regionManager, IUnityContainer container)
		{
			this.regionManager = regionManager;
			this.container = container;
		}

		public void Initialize()
		{
			this.regionManager.RegisterViewWithRegion(RegionNames.OutlookBarRegion, () =>
			{
				return new SimpsonsViewModel();
			});

			this.regionManager.RegisterViewWithRegion(RegionNames.OutlookBarRegion, () =>
			{
				return new FlandersViewModel();
			});
		}
	}
}